package com.jasamedika.medifirst2000.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.jasamedika.medifirst2000.dao.PegawaiDao;
import com.jasamedika.medifirst2000.service.ReportingPegawaiService;

@Service("reportingPegawaiService")
public class ReportingPegawaiServiceImpl <T> implements ReportingPegawaiService <T> {

	@Autowired
	private PegawaiDao pegawaiDao;
	
	@Override
	public List<Map<String, Object>> generatePegawaiByKategory(Integer kategoryPegawaiId) {
		List<Map<String, Object>> list = pegawaiDao.generatePegawaiByKategory(kategoryPegawaiId);
		return list;
	}
	
	@Override
	public List<Object[]> generatePegawai() {
		List<Object[]> list = pegawaiDao.generatePegawai();
		return list;
	}
	
}
